Skip to main content
GET
/
api
/
contractors
/
list
List active contractors
curl --request GET \
  --url https://api.propops.app/api/contractors/list \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "message": "Operation completed successfully",
  "data": [
    {
      "ID": 20,
      "uuid": "770e8400-e29b-41d4-a716-446655440001",
      "first_name": "Contractor_001",
      "last_name": "Surname_001",
      "email": "contractor001@example.com",
      "phone": "07700000002",
      "trades": [
        "Gas & Heating",
        "Plumbing"
      ],
      "is_active": true
    }
  ],
  "count": 30
}

Authorizations

Authorization
string
header
required

All API requests must include a valid Bearer token in the Authorization header. Tokens are 64-character SHA-256 session hashes issued by the PropOps authentication system.

Example:

Authorization: Bearer a1b2c3d4e5f6...

Query Parameters

action
enum<string>
required
Available options:
list
Example:

"Contractor_001"

trade_id
integer
Example:

1

limit
integer
default:50

Maximum number of records to return (default 50, max 200).

Required range: 1 <= x <= 200
offset
integer
default:0

Number of records to skip for pagination.

Required range: x >= 0

Response

Contractor list

success
boolean
Example:

true

message
string
Example:

"Operation completed successfully"

data
object[]
count
integer
Example:

30